Get fund tokens' price history
curl --request GET \
--url https://api.starke.finance/v1/vaults/vtoken-prices/historyimport requests
url = "https://api.starke.finance/v1/vaults/vtoken-prices/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/vaults/vtoken-prices/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/vaults/vtoken-prices/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/vaults/vtoken-prices/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/vaults/vtoken-prices/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/vaults/vtoken-prices/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"Fund1111111111111111111111111111111111111111": [
{
"timestamp": "2026-11-01T00:00:00.000Z",
"generated_timestamp": "2026-11-01T00:00:00.000Z",
"price_usd": 1.12
},
{
"timestamp": "2026-11-01T01:00:00.000Z",
"generated_timestamp": "2026-11-01T01:00:00.000Z",
"price_usd": 1.124205
}
]
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Vaults
Get fund tokens' price history
Returns each fund token’s price at each point of the window, keyed by fund address, oldest first. Each point has generated_timestamp, the point in the window; timestamp, when the price it carries was recorded (a point with no new price repeats the previous one); and price_usd. Points before a fund’s first price are left out, as are closed and unknown funds.
GET
/
v1
/
vaults
/
vtoken-prices
/
history
Get fund tokens' price history
curl --request GET \
--url https://api.starke.finance/v1/vaults/vtoken-prices/historyimport requests
url = "https://api.starke.finance/v1/vaults/vtoken-prices/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/vaults/vtoken-prices/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/vaults/vtoken-prices/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/vaults/vtoken-prices/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/vaults/vtoken-prices/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/vaults/vtoken-prices/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"Fund1111111111111111111111111111111111111111": [
{
"timestamp": "2026-11-01T00:00:00.000Z",
"generated_timestamp": "2026-11-01T00:00:00.000Z",
"price_usd": 1.12
},
{
"timestamp": "2026-11-01T01:00:00.000Z",
"generated_timestamp": "2026-11-01T01:00:00.000Z",
"price_usd": 1.124205
}
]
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Query Parameters
Comma-separated fund addresses, 1 to 50 of them.
The start of the window, an ISO 8601 date-time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$The end of the window, an ISO 8601 date-time, not before start_time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$The spacing of the points: 15mins, 1hour or 1day.
Available options:
15mins, 1hour, 1day Response
The price points of each fund token, keyed by fund address.